Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.structure.server
Class DemoStructureServer

    java.lang.Object
      org.biojava.bio.structure.server.DemoStructureServer

All Implemented Interfaces:
  Runnable, StructureListener

    public class DemoStructureServer

extends Object
implements Runnable, StructureListener

Field Summary
`StructureServer` | `server`

Constructor Summary
`DemoStructureServer()`

Method Summary
`static void` | `main(String[] args)`
`void` | `modifiedStructure(StructureEvent event)`
`void` | `newStructure(StructureEvent event)`
`void` | `obsoleteStructure(StructureEvent event)`
`void` | `run()`
`void` | `setServer(StructureServer server)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### server

    public StructureServer server

Constructor Detail

### DemoStructureServer

    public DemoStructureServer()

Method Detail

### main

    public static void main(String[] args)

### setServer

    public void setServer(StructureServer server)

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`

### modifiedStructure

    public void modifiedStructure(StructureEvent event)

  Specified by:
    `modifiedStructure` in interface `StructureListener`

### newStructure

    public void newStructure(StructureEvent event)

  Specified by:
    `newStructure` in interface `StructureListener`

### obsoleteStructure

    public void obsoleteStructure(StructureEvent event)

  Specified by:
    `obsoleteStructure` in interface `StructureListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD